MPQC 2.3.1

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes
sc::OneBodyIntOp Class Reference
Inheritance diagram for sc::OneBodyIntOp:

List of all members.

## Public Member Functions

| OneBodyIntOp (const Ref< OneBodyInt > &)
| OneBodyIntOp (const Ref< OneBodyIntIter > &)
void | process (SCMatrixBlockIter &)
| This is the fallback routine to process blocks and is called by process_spec members that are not overridden.
void | process_spec_rect (SCMatrixRectBlock *)
| Matrices should call these members when the type of block is known.
void | process_spec_ltri (SCMatrixLTriBlock *)
void | process_spec_rectsub (SCMatrixRectSubBlock *)
void | process_spec_ltrisub (SCMatrixLTriSubBlock *)
bool | cloneable ()
| Returns true if this SCElementOp supports the cloneable member.
Ref< SCElementOp > | clone ()
| Returns a clone of this object.
int | has_side_effects ()
| By default this returns nonzero.

## Protected Attributes

Ref< OneBodyIntIter > | iter

## Member Function Documentation

Ref<SCElementOp> sc::OneBodyIntOp::clone | ( |  | ) | `[virtual]`

Returns a clone of this object.

This is needed for multithreaded use of SCElementOp objects that are not thread safe. The default implemenation throws an exception.

Reimplemented from sc::SCElementOp.

bool sc::OneBodyIntOp::cloneable | ( |  | ) | `[virtual]`

Returns true if this SCElementOp supports the cloneable member.

The default implmentation returns false.

Reimplemented from sc::SCElementOp.

int sc::OneBodyIntOp::has_side_effects | ( |  | ) | `[virtual]`

By default this returns nonzero.

If the ElementOp specialization will change any elements of the matrix, then this must be overridden to return nonzero.

Reimplemented from sc::SCElementOp.

void sc::OneBodyIntOp::process | ( | SCMatrixBlockIter & |  | ) | `[virtual]`

This is the fallback routine to process blocks and is called by process_spec members that are not overridden.

Implements sc::SCElementOp.

void sc::OneBodyIntOp::process_spec_rect | ( | SCMatrixRectBlock * |  | ) | `[virtual]`

Matrices should call these members when the type of block is known.

ElementOp specializations should override these when efficiency is important, since these give the most efficient access to the elements of the block.

Reimplemented from sc::SCElementOp.

The documentation for this class was generated from the following file:

- obint.h